Bug 1955622 - 4.8-e2e-metal-assisted jobs: Timeout of 360 seconds expired waiting for Cluster to be in status ['installing', 'error']
Summary: 4.8-e2e-metal-assisted jobs: Timeout of 360 seconds expired waiting for Clust...
Keywords:
Status: ON_QA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: assisted-installer
Version: 4.8
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.8.0
Assignee: Osher De Paz
QA Contact: Udi
URL:
Whiteboard: AI-Team-Core
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-30 14:42 UTC by Petr Muller
Modified: 2021-05-03 11:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: integrated oc client couldn't authenticate with an already authenticated registry Consequence: assisted service didn't proceed with installation, and regressed to a "ready" state from the "preparing-installation" state Fix: reverting the change in oc binary change Result: installation advances to successful completion
Clone Of:
Environment:
job=periodic-ci-openshift-release-master-nightly-4.8-e2e-metal-assisted-ipv6=all job=periodic-ci-openshift-release-master-nightly-4.8-e2e-metal-assisted=all
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift assisted-service pull 1629 0 None closed Bug 1955622 - Revert "MGMT-5441 assisted-service should use oc client with ICSP support" 2021-05-02 14:21:32 UTC

Description Petr Muller 2021-04-30 14:42:44 UTC
Both metal-assisted jobs started timing out their installs on Apr 29:

https://testgrid.k8s.io/redhat-openshift-ocp-release-4.8-informing#periodic-ci-openshift-release-master-nightly-4.8-e2e-metal-assisted-ipv6https://testgrid.k8s.io/redhat-openshift-ocp-release-4.8-informing#periodic-ci-openshift-release-master-nightly-4.8-e2e-metal-assisted

Example jobs:
https://prow.ci.openshift.org/view/gs/origin-ci-test/logs/periodic-ci-openshift-release-master-nightly-4.8-e2e-metal-assisted/1388098889189429248
https://prow.ci.openshift.org/view/gs/origin-ci-test/logs/periodic-ci-openshift-release-master-nightly-4.8-e2e-metal-assisted-ipv6/1388098904997761024

waiting.exceptions.TimeoutExpired: Timeout of 360 seconds expired waiting for Cluster to be in status ['installing', 'error']
make: *** [Makefile:304: _deploy_nodes] Error 1
make: *** [Makefile:308: deploy_nodes_with_install] Error 2
{"component":"entrypoint","error":"wrapped process failed: exit status 2","file":"prow/entrypoint/run.go:80","func":"k8s.io/test-infra/prow/entrypoint.Options.Run","level":"error","msg":"Error executing test process","severity":"error","time":"2021-04-30T12:28:28Z"}
error: failed to execute wrapped command: exit status 2


Note You need to log in before you can comment on or make changes to this bug.